Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.jcsc.formatter
Class XMLResultsFormatter

    java.lang.Object
      |
      +--rj.tools.jcsc.formatter.AbstractResultsFormatter
            |
            +--rj.tools.jcsc.formatter.XMLResultsFormatter

All Implemented Interfaces:
  ResultsFormatter

public class XMLResultsFormatter
extends AbstractResultsFormatter

`XMLResultsFormatter` - Outputs the results in XML

Version:
  $Revision: 1.5 $
Author:
  Ralph Jocham

Fields inherited from class rj.tools.jcsc.formatter.AbstractResultsFormatter
`mAuthors, mBatchSummary, mClass, mMethodMetrics, mMethodsCount, mNCSSCount, mOutputStream, mPackage, mUnitTestClassCount, mUnitTestsCount, mViolations, mViolationsCount, mViolationsSorter`

Constructor Summary
`XMLResultsFormatter()`

Method Summary
`void` | `format()` format the results from one parsed file
`void` | `formatBatch()` format the batch run results.

Methods inherited from class rj.tools.jcsc.formatter.AbstractResultsFormatter
`isBatchMode, setAuthors, setBatchMode, setClassName, setMethodMetrics, setMethodsCount, setNCSSCount, setOutputStream, setPackage, setUnitTestClassCount, setUnitTestsCount, setViolations, setViolationsCount, setViolationSorter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLResultsFormatter

    public XMLResultsFormatter()

Method Detail

### format

    public void format()

  format the results from one parsed file

### formatBatch

    public void formatBatch()

  format the batch run results. this method is additionally called to each call format() for each parsed file. This method should be used to generate additionally.
  Overrides:
    `formatBatch` in class `AbstractResultsFormatter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License